Package csb :: Package bio :: Package io :: Module hhpred :: Class HHProfileParser

[frames] | no frames]

# Class HHProfileParser

source code

    object --+
             |
            HHProfileParser

A class that is HHpred HMM format aware. Produces a ProfileHMM object representation of a given HHpred profile HMM.

Note: This is NOT a regular PDB file! It must be specifically formatted for use with HHpred.

Instance Methods

__init__(self, hhm_file, pdb_file=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

format_structure(self, input_pdb, chain_id, output_file) Format input_pdb as an HHpred pre-parsed structure file for the current HMM. | source code

ProfileHMM

parse(self, units=LogScales) Parse the HMM profile. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, hhm_file, pdb_file=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `hhm_file` (str) - *.hhm file name to parse
  - `pdb_file` (str) - an optional hhm structure file, containing the structural data, associated with the HMM.
Raises:
  - `IOError` - if any of the files does not exist
Overrides: object.__init__
  (inherited documentation)

### format_structure(self, input_pdb, chain_id, output_file)

source code

Format input_pdb as an HHpred pre-parsed structure file for the current HMM. Formatting means: only chain_id left in the PDB file, residue sequence numbers strictly corresponding to the HMM states' ranks.

Parameters:
  - `input_pdb` (str) - source PDB file name
  - `chain_id` (str) - source chain ID (which chain to pick from the structure)
  - `output_file` (str) - save the output PDB file here
Raises:
  - `StructureFormatError` - when the specified PDB chain does not correspond to the HMM.

### parse(self, units=LogScales)

source code

Parse the HMM profile.

Parameters:
  - `units` (csb.core.EnumItem) - also convert the profile score units to the specified csb.bio.hmm.ScoreUnits kind
Returns: ProfileHMM
  a ProfileHMM instance
Raises:
  - `HHProfileFormatError` - when the hhm file is invalid/corrupt